package lc.utils;

import com.badlogic.gdx.graphics.OrthographicCamera;

/**
 * @author Death
 */
public class WCamera extends OrthographicCamera{

    public int getWidth(){
        return (int)(this.viewportWidth * this.zoom);
    }
    
    public int getHeight(){
        return (int)(this.viewportHeight * this.zoom);
    }
    
    public int getX(){
        return (int)(this.position.x - this.getWidth() / 2);
    }
    
    public int getY(){
        return (int)(this.position.y - this.getHeight()/ 2);
    }
    
    public void setX(int x){
        this.position.x = x + getWidth() / 2;
    }
    
    public void setY(int y){
        this.position.y = y + getHeight() / 2;
    }
}
